<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>UserService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.service</a> &gt; <span class="el_source">UserService.java</span></div><h1>UserService.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.service;

import com.astrapay.otp.domain.CommonRole;
import com.astrapay.otp.domain.CommonUserDetails;
import com.astrapay.otp.model.User;
import com.astrapay.otp.repository.UserRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.ArrayList;
import java.util.List;

@Service
<span class="fc" id="L20">public class UserService implements UserDetailsService {</span>
<span class="fc" id="L21">    Logger log = LoggerFactory.getLogger(this.getClass());</span>

    @Autowired
    UserRepository userRepository;

    @Override
    @Transactional(readOnly = true)
    @Cacheable(&quot;userByUsername&quot;)
    public CommonUserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
<span class="nc" id="L30">        User user = userRepository.findByUsername(username);</span>
<span class="nc bnc" id="L31" title="All 2 branches missed.">        if (log.isDebugEnabled()) {</span>
<span class="nc" id="L32">            log.debug(&quot;--- ! Load user form DB ! : &quot; + username);</span>
        }
<span class="nc bnc" id="L34" title="All 2 branches missed.">        if (user != null) {</span>
<span class="nc" id="L35">            CommonUserDetails userDetails = new CommonUserDetails();</span>
<span class="nc" id="L36">            BeanUtils.copyProperties(user, userDetails);</span>
<span class="nc" id="L37">            List&lt;CommonRole&gt; roles = new ArrayList&lt;CommonRole&gt;();</span>
<span class="nc" id="L38">            userDetails.setAuthorities(roles);</span>
<span class="nc" id="L39">            return userDetails;</span>
        }
<span class="nc" id="L41">        throw new UsernameNotFoundException(username);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>